
package de.ivu.elect.business.praesentation.entity;

import java.io.Serializable;
import java.text.DateFormat;
import java.util.Date;
import java.util.Locale;

public class PraesentationStatistikEntry implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Date zeitpunkt;

  private final Long dauerInMs;
  private final long dauerLaden;
  private final long dauerContext;
  private final long dauerRendern;
  private final long dauerUpload;

  public PraesentationStatistikEntry(Date zeitpunkt, long dauerInMs, long dauerLaden, long dauerContext, long dauerRendern, long dauerUpload) {
    super();

    this.zeitpunkt = zeitpunkt;
    this.dauerInMs = dauerInMs;
    this.dauerLaden = dauerLaden;
    this.dauerContext = dauerContext;
    this.dauerRendern = dauerRendern;
    this.dauerUpload = dauerUpload;
  }

  public long getDauerInMs() {
    return dauerInMs;
  }

  public long getDauerContext() {
    return dauerContext;
  }

  public long getDauerRendern() {
    return dauerRendern;
  }

  public long getDauerLaden() {
    return dauerLaden;
  }

  public Date getZeitpunkt() {
    return zeitpunkt;
  }

  public long getDauerUpload() {
    return dauerUpload;
  }

  @Override
  public String toString() {
    return "PraesentationStatistikEntry{" + "zeitpunkt=" + DateFormat.getDateTimeInstance(DateFormat.MEDIUM, DateFormat.MEDIUM, Locale.GERMANY).format(zeitpunkt) + ", dauerInMs=" + dauerInMs
        + ", dauerLaden=" + dauerLaden + ", dauerContext=" + dauerContext + ", dauerRendern=" + dauerRendern + ", dauerUpload=" + dauerUpload + '}';
  }
}
